Name:             tpm-tools
Version:          1.3.9
Release:          6
Summary:          A group of tools to manage the TPM hardware
License:          CPL
URL:              http://trousers.sourceforge.net
Source0:          http://downloads.sourceforge.net/trousers/%{name}-%{version}.tar.gz
Patch0001:        0001-Fix-build-with-OpenSSL-1.1-due-to-EVP_PKEY-being-an-.patch
Patch0002:        0002-Fix-build-with-OpenSSL-1.1-due-to-RSA-being-an-opaqu.patch
Patch0003:        0003-Allocate-OpenSSL-cipher-contexts-for-seal-unseal.patch
BuildRequires:    gcc trousers-devel openssl-devel opencryptoki-devel
Provides:         %{name}-pkcs11 = %{version}-%{release}
Obsoletes:        %{name}-pkcs11 < %{version}-%{release}

%description
Tpm-tools is used to manage and utilize the Trusted Computing Group's TPM hardware.
This package contains tools to allow the platform administrator the ability to
manage and diagnose the platform's TPM.TPM hardware can create, store and use
RSA keys securely (without ever being exposed in memory), verify a platform's
software state using cryptographic hashes and more.

%package        devel
Summary:        Development files for tpm-tools
Requires:       %{name} = %{version}-%{release}

%description    devel
The tpm-tools-devel package contains libraries and header files for developing applications.

%package        help
Summary: Help document for the %{name} package

%description    help
Help document for the %{name} package.

%prep
%autosetup -c %{name}-%{version} -p1

%build
%configure --disable-static --disable-rpath --disable-silent-rules
%make_build

%install
%make_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE
%doc README
%{_bindir}/{tpm_*,tpmtoken_*}
%{_sbindir}/tpm_*
%{_libdir}/{libtpm_unseal.so.?.?.?,libtpm_unseal.so.?}
%exclude %{_libdir}/libtpm_unseal.la

%files devel
%{_libdir}/libtpm_unseal.so
%{_includedir}/tpm_tools/

%files help
%{_mandir}/man1/tpm_*
%{_mandir}/man1/tpmtoken_*
%{_mandir}/man3/tpmUnseal*
%{_mandir}/man8/tpm_*

%changelog
* Sat Nov 23 2019 zhangchunyu <zhangchunyu11@huawei.com> - 1.3.9-6
- Package init
